Name:           perl-Shipwright
Version:        2.4.41
Release:        2%{?dist}
Summary:        Build and Manage Self-contained Software Bundle
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Shipwright/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SU/SUNNAVY/Shipwright-%{version}.tar.gz
# Drop useless build-time feautures
Patch0:         Shipwright-2.4.41-Disable-author-test-and-network-installation-when-bu.patch
# Use real interpreter path instead of /usr/bin/env trampoline
Patch1:         Shipwright-2.4.41-Do-not-use-usr-bin-env.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install) >= 0.76
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::Scripts)
BuildRequires:  perl(Module::Install::Share)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
# Algorithm::Dependency::Ordered not used at tests
# Algorithm::Dependency::Source::HoA not used at tests
BuildRequires:  perl(App::CLI)
BuildRequires:  perl(App::CLI::Command)
BuildRequires:  perl(App::CLI::Command::Help)
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Config)
BuildRequires:  perl(CPAN) >= 1.9205
# CPAN::Config is optional
BuildRequires:  perl(CPAN::DistnameInfo)
# CPAN::MyConfig is optional
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
# File::Compare not used at tests
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path) >= 2.07
BuildRequires:  perl(File::Slurp)
# File::Spec not used at tests
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp) >= 0.18
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Log::Log4perl)
# LWP::UserAgent not used at tests
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Info)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
# Tie::File not used at tests
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(version)
BuildRequires:  perl(YAML::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Algorithm::Dependency::Ordered)
Requires:       perl(Algorithm::Dependency::Source::HoA)
Requires:       perl(CPAN) >= 1.9205
Requires:       perl(File::Compare)
Requires:       perl(File::Path) >= 2.07
Requires:       perl(File::Temp) >= 0.18
Requires:       perl(LWP::UserAgent)
Requires:       perl(Test::More)
Requires:       perl(Tie::File)

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::Path|File::Temp)\\)$

%description
Shipwright is a tool to help you bundle your software with all its dependencies,
regardless of whether they are CPAN modules or non-Perl modules from elsewhere.
Shipwright makes the bundle work easy.

%prep
%setup -q -n Shipwright-%{version}
%patch0 -p1
%patch1 -p1
# Remove bundled modules
rm -rf ./inc
sed -i -e '/^inc\//d' MANIFEST
# Fix shellbangs unnoticed by build script
sed -i -e 's|#!perl|%(perl -MConfig -e 'print $Config{startperl}')|' \
    share/bin/* share/etc/*

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test %{?_smp_mflags}

%files
%doc AUTHORS Changes README TODO
%{_bindir}/shipwright*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Petr Pisar <ppisar@redhat.com> - 2.4.41-1
- 2.4.41 bump

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.4.33-9
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.4.33-8
- Perl 5.20 rebuild

* Mon Sep 01 2014 Petr Pisar <ppisar@redhat.com> - 2.4.33-7
- Require Module::Build::Version (bug #1134862)

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.4.33-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Aug 01 2013 Petr Pisar <ppisar@redhat.com> - 2.4.33-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Robin Lee <cheeselee@fedoraproject.org> - 2.4.33-1
- Update to 2.4.33

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Petr Pisar <ppisar@redhat.com> - 2.4.31-2
- Perl 5.16 rebuild

* Sun Mar  4 2012 Robin Lee <cheeselee@fedoraproject.org> - 2.4.31-1
- Update to 2.4.31

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Sep 24 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.30-1
- Update to 2.4.30

* Wed Jul 27 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.28-1
- Update to 2.4.28 (#712671)
- Use rpm 4.9 style filter

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 2.4.24-2
- Perl mass rebuild

* Wed Apr  6 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.24-1
- Update to 2.4.24
- Initial import (#690359)

* Thu Mar 24 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.23-1
- Initial packaging with help of cpanspec 1.78
